Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/connectors"{ "connectors": [ { "platform": "string", "status": "string", "account": "string", "account_id": "string", "service": "string", "connected_via": "string", "capabilities": [ "string" ], "disclosed": true, "paused": true, "polled_at": null, "last_error": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "paused": true}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://api.tigby.eu/api/identities/string/connectors" \ -H "Content-Type: application/json" \ -d '{ "paused": null }'{ "connectors": [ { "platform": "string", "status": "string", "account": "string", "account_id": "string", "service": "string", "connected_via": "string", "capabilities": [ "string" ], "disclosed": true, "paused": true, "polled_at": null, "last_error": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "paused": true}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/connectors/string"{ "platform": "string", "status": "string", "account": "string", "account_id": "string", "service": "string", "connected_via": "string", "capabilities": [ "string" ], "disclosed": true, "paused": true, "polled_at": null, "last_error": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://api.tigby.eu/api/identities/string/connectors/string" \ -H "Content-Type: application/json" \ -d '{ "paused": null }'{ "platform": "string", "status": "string", "account": "string", "account_id": "string", "service": "string", "connected_via": "string", "capabilities": [ "string" ], "disclosed": true, "paused": true, "polled_at": null, "last_error": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Response Body
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://api.tigby.eu/api/identities/string/connectors/string"Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.tigby.eu/api/identities/string/connectors/string" \ -H "Content-Type: application/json" \ -d '{ "account": null, "app_password": null, "apply_disclosure": null }'{ "platform": "string", "status": "string", "account": "string", "account_id": "string", "service": "string", "connected_via": "string", "capabilities": [ "string" ], "disclosed": true, "paused": true, "polled_at": null, "last_error": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/identities/string/connectors/string/authorize" \ -H "Content-Type: application/json" \ -d '{ "account": null }'{ "authorization_url": "string", "state": "string", "expires_at": "2019-08-24T14:15:22Z", "instance_rules": [ { "id": "string", "text": "string", "hint": null } ]}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Query Parameters
int32Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/connectors/string/posts"{ "posts": [ { "uri": "string", "url": null, "author_id": "string", "author": "string", "author_name": null, "text": "string", "reply_to": null, "created_at": "2019-08-24T14:15:22Z" } ], "cursor": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/identities/string/connectors/string/posts" \ -H "Content-Type: application/json" \ -d '{ "text": null, "reply_to": null, "options": null }'{ "uri": "string", "url": null, "author_id": "string", "author": "string", "author_name": null, "text": "string", "reply_to": null, "created_at": "2019-08-24T14:15:22Z"}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Query Parameters
int32Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/connectors/string/dms"{ "posts": [ { "uri": "string", "url": null, "author_id": "string", "author": "string", "author_name": null, "text": "string", "reply_to": null, "created_at": "2019-08-24T14:15:22Z" } ], "cursor": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/identities/string/connectors/string/dms" \ -H "Content-Type: application/json" \ -d '{ "to": null, "text": null, "reply_to": null, "options": null }'{ "uri": "string", "url": null, "author_id": "string", "author": "string", "author_name": null, "text": "string", "reply_to": null, "created_at": "2019-08-24T14:15:22Z"}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Query Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/connectors/string/thread"{ "posts": [ { "uri": "string", "url": null, "author_id": "string", "author": "string", "author_name": null, "text": "string", "reply_to": null, "created_at": "2019-08-24T14:15:22Z" } ], "cursor": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Query Parameters
int32Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/connectors/string/notifications"{ "notifications": [ { "kind": "string", "post": { "uri": "string", "url": null, "author_id": "string", "author": "string", "author_name": null, "text": "string", "reply_to": null, "created_at": "2019-08-24T14:15:22Z" }, "at": "2019-08-24T14:15:22Z" } ], "cursor": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/connectors/callback" \ -H "Content-Type: application/json" \ -d '{ "callback": null, "apply_disclosure": null }'{ "platform": "string", "status": "string", "account": "string", "account_id": "string", "service": "string", "connected_via": "string", "capabilities": [ "string" ], "disclosed": true, "paused": true, "polled_at": null, "last_error": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}curl -X GET "https://api.tigby.eu/api/connectors/string/client-metadata.json"{}